Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454883 - Rebase to upstream 1.1.16
Summary: Rebase to upstream 1.1.16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: James Antill
URL:
Whiteboard:
Depends On:
Blocks: RHEL5u3_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-07-10 15:18 UTC by James Antill
Modified: 2009-01-20 22:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
yum-utils is now re-based to upstream version 1.1.16. This applies several bug fixes, including: yum update --security can now properly locate old relevant security updates. yum-versionlock now works properly against package obsoletes. This update also includes the yum-fastestmirror plugin, which enables yum to choose the fastest repository in a mirrorlist.
Clone Of:
Environment:
Last Closed: 2009-01-20 22:05:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0227 normal SHIPPED_LIVE yum-utils bug fix update 2009-01-20 16:06:29 UTC

Description James Antill 2008-07-10 15:18:22 UTC
Description of problem:
 Rebase yum-utils to the upstream 1.1.15 or 1.1.16 where we'll get the
yum-security fix, and a few other small fixes/changes. The main motivator is
that this is what's tested upstream and that there's not a lot of changes that
could break things.

Comment 1 RHEL Product and Program Management 2008-07-10 15:21:15 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Domingo 2008-11-19 04:00:48 UTC
this bug is now documented in the RHEL5.3 release notes. you can view a mock build of this document at the following link:

http://documentation-stage.bne.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/5.3/html-single/Release_Notes/

Comment 6 Don Domingo 2008-11-19 04:00:48 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
yum-utils is now re-based to upstream version 1.1.16. This applies several bug fixes, including: 
yum update --security can now properly locate old relevant security updates. 
yum-versionlock now works properly against package obsoletes. 
 This update also includes the yum-fastestmirror plugin, which enables yum to choose the fastest repository in a mirrorlist.

Comment 9 errata-xmlrpc 2009-01-20 22:05:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0227.html


Note You need to log in before you can comment on or make changes to this bug.